Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.print
Class PrintText

    java.lang.Object
      gnu.print.PrintText

    public class PrintText

extends java.lang.Object

A simple printing class to handle basic text printing. Accepts an array of Strings or a PlainDocument and prints all the lines contained there in. Each String in the array is assumed to be a separate line.

Constructor Summary
`PrintText(javax.swing.text.PlainDocument document)` Constructor - Accepts a plain document and uses default font.
`PrintText(javax.swing.text.PlainDocument document, java.lang.String docTitle, PrintingOptions printOptions, boolean softTabs, int tabSize)` Constructor - Accepts a plain document as well as other print options, including font, page title, and header indicator (true if printing header, false otherwise).

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintText

    public PrintText(javax.swing.text.PlainDocument document)

  Constructor - Accepts a plain document and uses default font. No header information will be printed.

### PrintText

    public PrintText(javax.swing.text.PlainDocument document,
                     java.lang.String docTitle,
                     PrintingOptions printOptions,
                     boolean softTabs,
                     int tabSize)

  Constructor - Accepts a plain document as well as other print options, including font, page title, and header indicator (true if printing header, false otherwise).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.